Main Page Alphabetical List Compound List File List Compound Members Related Pages # iepairs.h Go to the documentation of this file.
    00001 //! Virtual class to allow plugin operations on entity pairs
    00002 /*!
    00003   \todo Write more complete documentation for this class so that it's use
    00004   is clear
    00005
    00006   An interface to entity keys and key pairs that allows plugins to;
    00007   read and write entity keys and key values, get a key value as a
    00008   vec3_t
    00009 */
    00010 class IEpair
    00011 {
    00012   public:
    00013     //! Increment the number of references to this object
    00014     virtual void IncRef () = 0;
    00015
    00016     //! Decrement the reference count
    00017     virtual void DecRef () = 0;
    00018
    00019     //! Get a vector from a key
    00020     virtual void GetVectorForKey( char* key, vec3_t vec ) = 0;
    00021
    00022     //! Get a float from a key
    00023     virtual float FloatForKey( char *key ) = 0;
    00024
    00025     //! Get a string (char *) from a key
    00026     virtual char* ValueForKey( char *key ) = 0;
    00027
    00028     //! Set a key value to char *value
    00029     /*!
    00030       \param key The (char *) containing the keyname
    00031       \param value The (char *) to set the key value to
    00032     */
    00033     virtual void SetKeyValue( char *key, char *value ) = 0;
    00034
    00035     //! Get a vec3_t for the entities origin
    00036     virtual void GetEntityOrigin( vec3_t vec ) = 0;
    00037
    00038     //! Compute the rotated bounds of the BBox based on "angle" and "angles" keys
    00039     virtual void CalculateRotatedBounds( vec3_t mins, vec3_t maxs ) = 0;
    00040 };
Documentation generated by : Doxygen 1.2.8.1 on 11 Aug 2001 | ttimo@idsoftware.com